Package org.springframework.http.converter.json

# Class MappingJacksonValue

java.lang.Object
org.springframework.http.converter.json.MappingJacksonValue

public class MappingJacksonValue extends Object
A simple holder for the POJO to serialize via `MappingJackson2HttpMessageConverter` along with further serialization instructions to be passed in to the converter.

On the server side this wrapper is added with a `ResponseBodyInterceptor` after content negotiation selects the converter to use but before the write.

On the client side, simply wrap the POJO and pass it in to the `RestTemplate`.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`MappingJacksonValue(Object value)`
Create a new instance wrapping the given POJO to be serialized.

## Method Summary

Modifier and Type
Method
Description
`FilterProvider`
`getFilters()`
Return the Jackson filter provider to use.
`Class<?>`
`getSerializationView()`
Return the serialization view to use.
`Object`
`getValue()`
Return the POJO that needs to be serialized.
`void`
`setFilters(FilterProvider filters)`
Set the Jackson filter provider to serialize the POJO with.
`void`
`setSerializationView(Class<?> serializationView)`
Set the serialization view to serialize the POJO with.
`void`
`setValue(Object value)`
Modify the POJO to serialize.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingJacksonValue

public MappingJacksonValue(Object value)
Create a new instance wrapping the given POJO to be serialized.

Parameters:
  `value` - the Object to be serialized

## Method Details

### setValue

public void setValue(Object value)
Modify the POJO to serialize.

### getValue

public Object getValue()
Return the POJO that needs to be serialized.

### setSerializationView

public void setSerializationView(@Nullable Class<?> serializationView)
Set the serialization view to serialize the POJO with.

See Also:
  - `ObjectMapper.writerWithView(Class)`
  - `JsonView`

### getSerializationView

@Nullable public Class<?> getSerializationView()
Return the serialization view to use.

See Also:
  - `ObjectMapper.writerWithView(Class)`
  - `JsonView`

### setFilters

public void setFilters(@Nullable FilterProvider filters)
Set the Jackson filter provider to serialize the POJO with.

Since:
  4.2
See Also:
  - `ObjectMapper.writer(FilterProvider)`
  - `JsonFilter`
  - `Jackson2ObjectMapperBuilder.filters(FilterProvider)`

### getFilters

@Nullable public FilterProvider getFilters()
Return the Jackson filter provider to use.

Since:
  4.2
See Also:
  - `ObjectMapper.writer(FilterProvider)`
  - `JsonFilter`